$(function(){
	var checkboxstyle_arr = ["sap_all","sap_nitro","sap_global","sap_gov","sap_phaz"];
	var checkbox_arr = ["sapnitro","sapglobal","sapgov","sapphaz"];
	
	var removeCheckedStyleAll = function() {
		$(checkboxstyle_arr).each(function(key,val){
				$("#"+val).removeClass("checkbox-tick");
		});			
	}
	var addCheckedStyleAll = function() {
		$(checkboxstyle_arr).each(function(key,val){
				$("#"+val).addClass("checkbox-tick");
		});
	}	
	
	var removeCheckedAll = function() {		
		$(checkbox_arr).each(function(key,val){
			$("#"+val).removeAttr("checked");
		});
	}
	var addCheckedAll = function () {
		$(checkbox_arr).each(function(key,val){
			$("#"+val).attr("checked","checked");
		});
	}
	var addChecked = function(id) {
		$("#"+id).attr("checked","checked");		
	}
	var removeChecked = function(id) {
		$("#"+id).removeAttr("checked");		
	}
	
	$("#sap_all").click(function(){
		var checkall = $("#sapall").val();				
		removeCheckedAll();		
		if(checkall==1) {
			addCheckedStyleAll();
			addCheckedAll();
			$("#sapall").val("2");					
		} else {
			removeCheckedStyleAll();
			$("#sapall").val("1");
		}	
	});
	
	$("#sap_nitro,#sap_global,#sap_gov,#sap_phaz").click(function(e){	
		var checkall = $("#sapall").val();		
		if(checkall==2) {
			removeCheckedStyleAll();
			removeCheckedAll();
			$("#sapall").val("1");	
		}
		var checkVal = $(this).attr("id").replace('_','');				
		removeChecked(checkVal);
		$(this).toggleClass("checkbox-tick");
		if($(this).hasClass("checkbox-tick"))
		{
			addChecked(checkVal);
		}			
	});
	
	$("input:text,input:password").on("keydown",function(){
		$(this).removeClass("errorBorder");
		$($(this).next()).hide();
	});    
});
function validateform()
{	
	var formobj = document.contact_form;
	var uname 	= $.trim($("#user_name").val());	
	var pwd 	= $("#pwd").val();	
	var confpwd = $("#confirm_pwd").val();	
	var email 	= $("#user_email").val();	
	var url 	= $("#user_url").val();	
	if(uname=="" || uname==null || nameValidate(uname)==false)
	{
		if(uname=="" || uname==null ) {
			$("#error_name").show().text("Please enter the name");
		} else {	
			$("#error_name").show().text("Please enter the firstname lastname");
		}	
		$("#user_name").addClass("errorBorder");
		$("#user_name").focus();
		return false;
	}	
	if(pwd=="" || pwd==null || pwd.length<6 || passwordValidate(pwd)==false)
	{
		if(pwd=="" || pwd==null){
			$("#error_pwd").show().text("Please enter the password");
		} else if(pwd.length<6) {
			$("#error_pwd").show().text("Please enter minimum 6 character");
		} else {
			$("#error_pwd").show().text("Invalid Charcters");
		}	
		$("#pwd").addClass("errorBorder");
		$("#pwd").focus();
		return false;
	}
	if(confpwd=="" || confpwd==null || pwd!=confpwd)
	{
		if(confpwd=="" || confpwd==null){
			$("#error_cnfpwd").show().text("Please enter the confirm password");
		} else {
			$("#error_cnfpwd").show().text("Password and Confirm Password does not matched");
		}		
		$("#confirm_pwd").addClass("errorBorder");
		$("#confirm_pwd").focus();
		return false;
	}
	if(email=="" || email==null || emailValidate(email)==false)
	{
		if(email=="" || email==null){
			$("#error_mail").show().text("Please enter the Email");
		} else {
			$("#error_mail").show().text("Invalid Email Id");
		}		
		$("#user_email").addClass("errorBorder");
		$("#user_email").focus();
		return false;
	}
	if(url=="" || url==null || urlValidate(url)==false) {
		if(url=="" || url==null)
		{
			$("#error_url").show().text("Please enter the website url");
		} else {
			$("#error_url").show().text("Invalid website url");
		}
		$("#user_url").addClass("errorBorder");
		$("#user_url").focus();
		return false;
	}	
	$("#contact_form>div:first-child").before("<div class='form_success'>Form submitted successfully.</div>");		
	return false;
}
function nameValidate(uname){	
	var usernamePat = /^\s*[a-zA-Z,\s]+\s*$/;
	if(!usernamePat.test(uname)) {
		return false;
	}
	return true;
}
function passwordValidate(pwd) {
	var pwdPat = /^([a-zA-z0-9~_&*%@$]{6,})$/;
	if(!pwdPat.test(pwd)) {
		return false;
	}
	return true;
}
function emailValidate(email) {
	var emailPat= /^([\w-\.]+@(?!sapient.com)([\w-]+\.)+[\w-]{2,4})?$/;
	if(!emailPat.test(email)) {		
		return false;
	}
	return true;
}
function urlValidate(url) {
	var urlPat= /^(ht|f)tps?:\/\/[a-z0-9-\.]+\.[a-z]{2,4}\/?([^\s<>\#%\,\{\}\\|\\\^\[\]`]+)?$/
	if(!urlPat.test(url)) {		
		return false;
	}
	return true;
}
var old=0;	
function slide(value){	
	$("#slider"+old).css('background-color','#ffffff')
	$("#slider"+value).css('background-color','#000000')
	$("#slidecontent1,#slidecontent2,#slidecontent3").css("display","none");	
	var s=parseInt(value)
	position=s*202-202;
	$('#slider').animate({'left':'-'+position+'px'},"fast",function(){		
		$("#slidecontent"+value).css("display","block");
	})
	old=value;
   return false;
}

